%define		package	BrowserKit
%define		php_min_version 5.3.9
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 BrowserKit Component
Name:		php-symfony2-BrowserKit
Version:	2.7.8
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	7b277cffb41bc4ab556a8a05af631d41
URL:		http://symfony.com/components/BrowserKit
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php-dirs >= 1.6
Requires:	php-symfony2-DomCrawler >= 2.0.5
Suggests:	php-symfony2-Process
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BrowserKit simulates the behavior of a web browser.

The component only provide an abstract client and does not provide any
"default" backend for the HTTP layer.

%prep
%setup -q -n browser-kit-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
cp -a *.php $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Component/BrowserKit
%{php_data_dir}/Symfony/Component/BrowserKit/*.php
%changelog
* Tue Jan 05 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-BrowserKit.git;a=log;h=master

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> 639d50a
- up to 2.7.8

* Mon Jan 04 2016 Elan Ruusamäe <glen@delfi.ee> a587e49
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 7bb4872
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 8a08687
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> bc6b18f
- up to 2.7.7; use autoload.php for autoload name

* Fri Oct 02 2015 Elan Ruusamäe <glen@delfi.ee> 4f04c7b
- up to 2.7.5

* Tue Aug 04 2015 Elan Ruusamäe <glen@delfi.ee> 0a0d1f9
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> e8bfb88
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> a10a796
- cleanups, unify

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 2d1ed10
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 5f25e53
- up to 2.4.4

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> 807ac78
- update url

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> 34bf7f7
- update runtime deps

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> 23aa963
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> be23b82
- revised deps

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> da2ba97
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 4f52077
- up to 2.1.6

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 533df72
- initial add. version 2.1.4

